﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using EmbeddedReport.ReportExecution2005_VS2005;
using System.Web.Services.Protocols;  

namespace EmbeddedReport
{
    public partial class VS2005MainForm : Form
    {
        public VS2005MainForm()
        {
            InitializeComponent();
        }


        private void btnTest_Click(object sender, EventArgs e)
        {
            txtResult.Text = GetReportXML2005("/ReportProject/TopSalesPeople");
        }
        static string GetReportXML2005(string ReportPath)
        {
            //creates a new Web service (proxy) and set its credentials 
            ReportExecutionService rs = new ReportExecutionService(); 
            //windows authentication
            rs.Credentials = System.Net.CredentialCache.DefaultCredentials;

            //Assign Web service url. This is optional operation. Default URL
            //is assigned during the creation of a proxy.
            //Typically http://<<server name>>/ReportServer/ReportExecution2005.asmx
            //rs.Url = ReportingServicesURL;

            // Setup Render() call
            byte[] result = null;
            string encoding, mimeType, extension;
            Warning[] warnings = null;
            string[] streamIDs = null;

            try
            {
                //Should be called prior to Render() to set report’s path
                rs.LoadReport(ReportPath, null); 

                //Gets a byte stream with Comma Separated Value (XML) layout
                result = rs.Render("XML", null, out extension, out encoding, 
                                   out mimeType, out warnings, out streamIDs);
                return System.Text.Encoding.ASCII.GetString(result);
            }
            catch (SoapException e)
            {
                //Return exception message, if exception occured
                return e.Message;
            }
        }

        private void VS2005MainForm_Load(object sender, EventArgs e)
        {

        }

    }
}
